Bug 722631 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rarpd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-07-15 19:51 EDT by Jóhann B. Guðmundsson
Modified: 2011-08-23 16:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: rarpd-ss981107-33.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-23 16:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd unit file for rarpd (310 bytes, text/plain)
2011-07-15 19:54 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-07-15 19:51:42 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-07-15 19:54:35 EDT
Created attachment 513454 [details]
Native systemd unit file for rarpd

Note this is untested hence you might need to tweak the Type= type a bit as in
if this does not work try 

[Service]
Type=forking
....
or

[Service]
Type=oneshot
RemainAfterExit=yes
....

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 2 Fedora Update System 2011-08-05 06:25:04 EDT
rarpd-ss981107-33.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rarpd-ss981107-33.fc16
Comment 3 Fedora Update System 2011-08-05 16:08:02 EDT
Package rarpd-ss981107-33.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rarpd-ss981107-33.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rarpd-ss981107-33.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-08-23 16:31:41 EDT
rarpd-ss981107-33.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.